> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mezmo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get usage metrics

> Receive usage metrics from an Edge pipeline



## OpenAPI

````yaml /pipeline.yaml post /pipeline/account/local-deploy/metric/usage
openapi: 3.1.0
info:
  title: Pipeline API
  description: API for the Pipeline product
  version: 3.345.5
servers:
  - url: https://api.mezmo.com/v3
security:
  - PipelineServiceKey: []
tags:
  - name: Internal
    description: Routes not accessible by outside users
  - name: Experimental
    description: Experimental routes, not intended for public consumption
  - name: Account
    description: Perform account level actions
  - name: Alerting
    description: API to control alerts on pipelines
  - name: Data Classification & Profiling
    description: API for classifying and profiling data
  - name: Edge - Local Deploy
    description: User routes that are available to use with local Edge instances
  - name: Incident Mode
    description: Change or read state of pipeline (incident mode on/off)
  - name: Log Volume Reduction
    description: CRUD operations for log volume reduction
  - name: Metrics
    description: Usage metrics for pipelines
  - name: Pipeline Export
    description: Export pipeline to terraform
  - name: Pipeline Management
    description: CRUD Operations for pipeline
  - name: Pipeline Nodes
    description: CRUD operations for sources, processors, and destinations
  - name: Processor Groups
    description: CRUD operations for Processor Groups
  - name: Shared Sources
    description: Create and manage sources for use across multiple pipelines
  - name: Sampling and Simulation
    description: >-
      Create samples of data and run them through a simulated pipeline without
      affecting your published pipeline
externalDocs:
  url: https://docs.mezmo.com/pipeline-api
paths:
  /pipeline/account/local-deploy/metric/usage:
    post:
      tags:
        - Edge - Local Deploy
      summary: Get usage metrics
      description: Receive usage metrics from an Edge pipeline
      parameters:
        - schema:
            type: string
            minLength: 1
          in: query
          name: edge_id
          required: false
          description: Metrics for specific edge_id
      requestBody:
        content:
          application/json:
            schema:
              type: array
              items:
                type: object
                additionalProperties: false
                properties:
                  event_ts:
                    type: integer
                    minimum: 0
                  pipeline_id:
                    type: string
                    format: uuid
                  component_id:
                    type: string
                    minLength: 1
                    maxLength: 1024
                  processor:
                    type: string
                    minLength: 1
                    maxLength: 256
                  total_count:
                    type: integer
                    minimum: 0
                  total_size:
                    type: integer
                    minimum: 0
                required:
                  - event_ts
                  - pipeline_id
                  - component_id
                  - processor
                  - total_count
                  - total_size
              minItems: 1
      responses:
        '200':
          description: Default Response
components:
  securitySchemes:
    PipelineServiceKey:
      type: apiKey
      name: Authorization
      in: header
      description: 'Enter your token in the format: Token mytokengoeshere'

````